Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.swt.control.text.autocomplete.renderer
Class AutocompleteTextControlSWTRendererService_Test

    java.lang.Object
      org.eclipse.emfforms.internal.swt.control.text.autocomplete.renderer.AutocompleteTextControlSWTRendererService_Test

    public class AutocompleteTextControlSWTRendererService_Test

extends Object

Constructor Summary
`AutocompleteTextControlSWTRendererService_Test()`

Method Summary
`void` | `setUp()`
`void` | `tearDown()`
`void` | `testGetRendererClass()`
`void` | `testHasAutoCompleteAnnotation()`
`void` | `testHasAutoCompleteAnnotationEmptyValue()`
`void` | `testHasAutoCompleteAnnotationInvalidValue()`
`void` | `testHasAutoCompleteAnnotationMissingKey()`
`void` | `testHasAutoCompleteAnnotationNoAnnotation()`
`void` | `testHasAutoCompleteAnnotationNullValue()`
`void` | `testIsApplicable()`
`void` | `testIsApplicableDataBindingFailed()`
`void` | `testIsApplicableEReference()`
`void` | `testIsApplicableMulti()`
`void` | `testIsApplicableNoAnnotation()`
`void` | `testIsApplicableNoControl()`
`void` | `testIsApplicableNoDMR()`
`void` | `testIsApplicableNoString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutocompleteTextControlSWTRendererService_Test

    public AutocompleteTextControlSWTRendererService_Test()

Method Detail

### setUp

    public void setUp()
               throws DatabindingFailedException

  Throws:
    `DatabindingFailedException`

### tearDown

    public void tearDown()

### testGetRendererClass

    public void testGetRendererClass()

### testHasAutoCompleteAnnotation

    public void testHasAutoCompleteAnnotation()

### testHasAutoCompleteAnnotationInvalidValue

    public void testHasAutoCompleteAnnotationInvalidValue()

### testHasAutoCompleteAnnotationNullValue

    public void testHasAutoCompleteAnnotationNullValue()

### testHasAutoCompleteAnnotationEmptyValue

    public void testHasAutoCompleteAnnotationEmptyValue()

### testHasAutoCompleteAnnotationMissingKey

    public void testHasAutoCompleteAnnotationMissingKey()

### testHasAutoCompleteAnnotationNoAnnotation

    public void testHasAutoCompleteAnnotationNoAnnotation()

### testIsApplicableNoControl

    public void testIsApplicableNoControl()

### testIsApplicableNoDMR

    public void testIsApplicableNoDMR()

### testIsApplicableDataBindingFailed

    public void testIsApplicableDataBindingFailed()
                                           throws DatabindingFailedException

  Throws:
    `DatabindingFailedException`

### testIsApplicableNoAnnotation

    public void testIsApplicableNoAnnotation()

### testIsApplicableMulti

    public void testIsApplicableMulti()
                               throws DatabindingFailedException

  Throws:
    `DatabindingFailedException`

### testIsApplicableEReference

    public void testIsApplicableEReference()
                                    throws DatabindingFailedException

  Throws:
    `DatabindingFailedException`

### testIsApplicableNoString

    public void testIsApplicableNoString()
                                  throws DatabindingFailedException

  Throws:
    `DatabindingFailedException`

### testIsApplicable

    public void testIsApplicable()
                          throws DatabindingFailedException

  Throws:
    `DatabindingFailedException`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.